std::numeric_limits< short > Struct Reference

`#include <limits>`

## Static Public Member Functions

static constexpr short | denorm_min () noexcept
static constexpr short | epsilon () noexcept
static constexpr short | infinity () noexcept
static constexpr short | lowest () noexcept
static constexpr short | max () noexcept
static constexpr short | min () noexcept
static constexpr short | quiet_NaN () noexcept
static constexpr short | round_error () noexcept
static constexpr short | signaling_NaN () noexcept

## Static Public Attributes

static constexpr int | digits
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | traps

## Detailed Description

numeric_limits<short> specialization.

Definition at line 920 of file limits.

## Member Function Documentation

## denorm_min()

static constexpr short std::numeric_limits< short >::denorm_min | ( |  | ) |

inline static constexpr noexcept

Definition at line 973 of file limits.

## epsilon()

static constexpr short std::numeric_limits< short >::epsilon | ( |  | ) |

inline static constexpr noexcept

Definition at line 946 of file limits.

## infinity()

static constexpr short std::numeric_limits< short >::infinity | ( |  | ) |

inline static constexpr noexcept

Definition at line 964 of file limits.

## lowest()

static constexpr short std::numeric_limits< short >::lowest | ( |  | ) |

inline static constexpr noexcept

Definition at line 932 of file limits.

## max()

static constexpr short std::numeric_limits< short >::max | ( |  | ) |

inline static constexpr noexcept

Definition at line 928 of file limits.

## min()

static constexpr short std::numeric_limits< short >::min | ( |  | ) |

inline static constexpr noexcept

Definition at line 925 of file limits.

## quiet_NaN()

static constexpr short std::numeric_limits< short >::quiet_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 967 of file limits.

## round_error()

static constexpr short std::numeric_limits< short >::round_error | ( |  | ) |

inline static constexpr noexcept

Definition at line 949 of file limits.

## signaling_NaN()

static constexpr short std::numeric_limits< short >::signaling_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 970 of file limits.

## Member Data Documentation

## digits

constexpr int std::numeric_limits< short >::digits

static constexpr

Definition at line 935 of file limits.

## digits10

constexpr int std::numeric_limits< short >::digits10

static constexpr

Definition at line 936 of file limits.

## has_denorm

constexpr float_denorm_style std::numeric_limits< short >::has_denorm

static constexpr

Definition at line 959 of file limits.

## has_denorm_loss

constexpr bool std::numeric_limits< short >::has_denorm_loss

static constexpr

Definition at line 961 of file limits.

## has_infinity

constexpr bool std::numeric_limits< short >::has_infinity

static constexpr

Definition at line 956 of file limits.

## has_quiet_NaN

constexpr bool std::numeric_limits< short >::has_quiet_NaN

static constexpr

Definition at line 957 of file limits.

## has_signaling_NaN

constexpr bool std::numeric_limits< short >::has_signaling_NaN

static constexpr

Definition at line 958 of file limits.

## is_bounded

constexpr bool std::numeric_limits< short >::is_bounded

static constexpr

Definition at line 976 of file limits.

## is_exact

constexpr bool std::numeric_limits< short >::is_exact

static constexpr

Definition at line 942 of file limits.

## is_iec559

constexpr bool std::numeric_limits< short >::is_iec559

static constexpr

Definition at line 975 of file limits.

## is_integer

constexpr bool std::numeric_limits< short >::is_integer

static constexpr

Definition at line 941 of file limits.

## is_modulo

constexpr bool std::numeric_limits< short >::is_modulo

static constexpr

Definition at line 977 of file limits.

## is_signed

constexpr bool std::numeric_limits< short >::is_signed

static constexpr

Definition at line 940 of file limits.

## is_specialized

constexpr bool std::numeric_limits< short >::is_specialized

static constexpr

Definition at line 922 of file limits.

## max_digits10

constexpr int std::numeric_limits< short >::max_digits10

static constexpr

Definition at line 938 of file limits.

## max_exponent

constexpr int std::numeric_limits< short >::max_exponent

static constexpr

Definition at line 953 of file limits.

## max_exponent10

constexpr int std::numeric_limits< short >::max_exponent10

static constexpr

Definition at line 954 of file limits.

## min_exponent

constexpr int std::numeric_limits< short >::min_exponent

static constexpr

Definition at line 951 of file limits.

## min_exponent10

constexpr int std::numeric_limits< short >::min_exponent10

static constexpr

Definition at line 952 of file limits.

## radix

constexpr int std::numeric_limits< short >::radix

static constexpr

Definition at line 943 of file limits.

## round_style

constexpr float_round_style std::numeric_limits< short >::round_style

static constexpr

Definition at line 981 of file limits.

## tinyness_before

constexpr bool std::numeric_limits< short >::tinyness_before

static constexpr

Definition at line 980 of file limits.

## traps

constexpr bool std::numeric_limits< short >::traps

static constexpr

Definition at line 979 of file limits.

The documentation for this struct was generated from the following file:

- limits